• Site mis à jour le 22 mars 2019

Erreurs depuis la mise à jour 1.1.6

Plus d'informations
il y a 11 ans 7 mois - il y a 11 ans 4 mois #215 par sloane
Erreurs depuis la mise à jour 1.1.6 a été créé par sloane
Bonjour,

J'utilise JCE depuis plusieurs mois maintenant et désolé jusqu'ici j'étais passé à côté de la version française. Chapeau bas pour tout le travail fait sur ce site à ce propos ! Je précise que nous utilisons les plug-ins adhérents, tout particulièrement Image Manager Extended

Alors que j'étais en version de bot jce 1.1.5 et de bot jceutils 1.2.0, (version 1.1.1 du composant en anglais) j'avais installé il y a quelques jours le pack de langue français. Tout s'était semble-t-il très bien passé.

J'ai depuis installé les bots mis à jour. Pour cela j'ai suivi l'une des deux procédures du site du créateur: désinstallation du bot puis installation du nouveau.

J'ai donc installé le 1.1.6 version française, ainsi que le 1.3.0 version française. Suite à cela, j'ai eu de gros soucis : les plug-ins extended ne fonctionnaient plus correctement. A leur ouverture en admin dans les plug-in JCE il n'affichaient plus les menus de configs, les icones des plug-ins ne s'affichaient plus dans la barre etc.

J'ai en partie rétablit la situation en désintallant les bot version française pour opter pour les versions en anglais 1.1.6 pour le bot, et retour à 1.2.0 pour ne pas compliquer les choses pour jceutili.

J'ai désinstallé puis réinstallé et reconfiguré les plug-ins ce qui a permis de nouveau de les rendre fonctionnels. Bizzare de devoir faire cela.

Tout va bien pour Image Extended, mais par contre j'ai eu ce message d'erreur à l'install de Media Manager :
[code:1]SQL error: jceplugins::«»store failed
Duplicate entry 'mediamanager' for key 2 SQL=INSERT INTO
jos_jce_plugins (`name`,`plugin`,`type`,`icon`,`layout_icon`,
`access`,`row`,`ordering`,`published`,`editable`,`elements`,
`iscore` ) VALUES ('MediaManager','mediamanager','plugin',
'mediamanager','mediamanager','18','4','1','1','1','','0' )[/code:1]

Par ailleurs, si j'active le pack de langue, certaines images ne s'affichent pas dans la barre (gras, italic, souligné) et il y a des lignes de codes pour \"styles\" et \"size\". Est-ce les images évoquées pour le composant version française de JCE et qu'il faut installer cette version du composant si on veut une version française? Pour info, à ce niveau là le retour à la langue anglaise a rétablit la barre sans souci.

Sincèrement, je ne pense pas du tout que la version française soit en cause et il ne faut pas interpréter ainsi mon message. Je pense que j'ai dû mal m'y prendre dans ma procédure de mise à jour et que j'ai créé des conflits en exploitant les bot en français avec le composant en anglais. Il me faut maintenant réparer cela. D'où mes questions :

-comment interpréter l'erreur de base de donnée du plug-in Media Manager ? Que révèle-t-elle de l'état de mon install actuelle de JCE? Cette erreur peut-elle être liée aux bot français que j'ai installé avec le composant version anglaise? Est-ce normal que cela persiste alors que j'ai rétablit les bot en anglais?

-pour utiliser la version française de JCE faut-il installer aussi le composant en version française ? Le fichier de traduction ne suffit-t-il pas? Peut-on opter pour un écrasement des fichiers pour conserver tous ses réglages ou faut-il désintaller la version anglaise puis installer la FR?

-une désinstallation/réinstallation du composant semble-t-elle conseillée dans mon cas ? Faut il par ailleurs nettoyer certaines tables de la base de donnée pour repartir sur des bases saines ?
Toutes les images et styles des articles gérés avec JCE seraient-il alors impactés par cette désinstallation/réinstallation ou ce nettoyage des tables JCE dans la BDD?


Enfin, autre petit bug, utilisant aussi JReviews, je note que si je réédite côté frontened des images d'articles postés avant la mise à jour, il y a un conflit avec xajax (une nouvelle version 0.2.5 a été installée avec la dernièrte mouture de JReviews). Des lignes d'erreur apparaissent dans Image Manager Extended dans la zone de navigation des images, avant la liste des images il y a ces lignes :

[code:1]
Warning: parse_url
(/joomla/index2.php&option=com_jce&no_html=1&task=plugin&plugin
=imgmanager_ext&file=files.php&dir=/http://www.xxx.net/joomla/
images/stories/images_news_tests_tutos_articles_faq/news&ret_file
=monimage.jpg) [function.parse-url]: Unable to parse URL in
web/joomla/mambots/system/xajax_0.2.5/xajax.inc.php on line 962

Warning: Cannot modify header information - headers already sent by
(output started at
/web/joomla/mambots/system/xajax_0.2.5/xajax.inc.php:962)
in /web/joomla/index2.php on line 126

Warning: Cannot modify header information - headers already sent by
(output started at
/home/sites/site1/web/joomla/mambots/system/xajax_0.2.5/xajax.inc.php:962)
in web/joomla/index2.php on line 127

Warning: Cannot modify header information - headers already sent by
(output started at
/home/sites/site1/web/joomla/mambots/system/xajax_0.2.5/xajax.inc.php:962)
in /web/joomla/index2.php on line 128

Warning: Cannot modify header information - headers already sent by
(output started at
/home/sites/site1/web/joomla/mambots/system/xajax_0.2.5/xajax.inc.php:962)
in /web/joomla/index2.php on line 129

Warning: Cannot modify header information - headers already sent by
(output started at
/home/sites/site1/web/joomla/mambots/system/xajax_0.2.5/xajax.inc.php:962)
in /web/joomla/index2.php on line 130[/code:1]

Je n'ai pas ce message d'erreur côté admin. J'ai vérifié le message disparait si on dépublie xajax (mais je dois le garder publié pour les besoins du site). Notons aussi que je n'ai pas ce message d'erreur si depuis la mise à jour je publie des images dans les articles et les réédite. Quelq'un sait-il de quoi il retourne ?


Désolé pour ce long message, ce sont mes premiers gros soucis avec JCE depuis que je l'utilise, et comme je pars en vacances demain j'aurais souhaité les résoudre avant mon départ. Peut-être pourrez-vous m'aider à y voir plus clair.

Bien Cordialement,

Sloane.
Pièces jointes :
Dernière édition: il y a 11 ans 4 mois par .

Connexion ou Créer un compte pour participer à la conversation.

  • Visiteur
  • Visiteur
il y a 11 ans 7 mois #216 par
Réponse de sur le sujet Erreurs depuis la mise à jour 1.1.6
Pas de panique Sloane, une grande partie de tes problèmes viennent de la procédure d'installation...
Quand tu désinstalles le mambot, les plugins sont effacé, en tout cas en partie, puisqu'ils se trouvent dans son répertoire.
Les problèmes ne peuvent venir des versions française, car elles sont les mêmes que les anglaise au niveau code, n'ayant que des appellations différentes. Elles sont donc compatibles entre elles et ne doivent pas être toutes de version française.
Le composant fr ne change que les titres des boutons et descriptions d'éléments. Pas indispensable.
Le mambot JCE Utilities fr ne change que les descriptions des réglages.
Le pack de langue français permet quant à lui de traduire la barre d'outils de l'éditeur et des plugins ajoutés. Attention, là aussi, une désinstallation du mambot JCE efface les fichiers de traduction fr puisqu'ils se trouvent dans son répertoire. Le Pack doit donc être désinstallé et réinstallé!
Un élément important à ne jamais oublier, c'est de toujours faire un CTRL + F5 avec l'éditeur ouvert après une mise à jour d'un élément de JCE faisant appel à des scripts (mambots, plugins). Dans la majeure partie des cas, les scripts appelés ne sont plus les mêmes, et le cache du navigateur doit être vidé.
Une mise à jour de JCE ne remet pas en compte ce qui est déjà fait dans les articles. pas de problème de compatibilité avec ce qui existe déjà.

Conclusion:
Je te conseille de tout désinstaller et réinstaller au propre, en ayant pris soin de vérifier que les répertoires de JCE n'existent plus sur le serveur (composant et mambot) et que les tables de JCE soient bien supprimées de la Base de données (cela n'influe en rien les contenus existants du site).
Vérifies aussi que le dossier "media" de Joomla soit vide de toutes traces des fichiers temporaires de JCE. Pas grande influence, mais qu'ils ne restent pas inutilement.
Les éléments que tu perds dans cette procédure, sont les réglages des plugins et, si elle a été modifiée, l'organisation des icônes sur la barre de JCE.

J'espère avoir été assez clair, sinon n'hésite pas à me reposer des questions, que tu puisse partir en vacances sereinement B)
Bon courage<br /><br />Message édité par : mihaly, à : 02 08 2007 13:40:13

Connexion ou Créer un compte pour participer à la conversation.

  • Visiteur
  • Visiteur
il y a 11 ans 7 mois #217 par
Réponse de sur le sujet Erreurs depuis la mise à jour 1.1.6
Pour JReviews, essaie déjà la réinstallation au propre et le vidage du cache.
Redis-moi si besoin...

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 11 ans 7 mois #218 par sloane
Réponse de sloane sur le sujet Erreurs depuis la mise à jour 1.1.6
Bonjour Mihaly,

Merci infiniment pour la clarté, le niveau de détail, et en même temps l'aspect &quot;sur mesure&quot; de ta réponse. C'est extrêmement appréciable, je t'en suis très reconnaissant.

Je comprends ainsi beaucoup mieux l'impact des désinstallations des mambot sur les plug-ins et fichiers de traduction. Je n'avais pas pensé à cette explication, dit comme cela c'est tellement plus simple !

Le site de l'auteur, sur sa page d'aide à la mise à jour, ne met pas assez l'accent sur cet aspect je trouve, voilà une info à vraiment indiquer aux utilisateurs des plug-ins dans mon cas, parfois un peu trop hatifs dans leurs mises à jours :lol: Je priviligierai donc la prochaine fois les mises à jour par ftp.


Je vais donc tout réinstaller et je te remercie pour tes conseils sur l'aspect base de données, je suis rassuré !

J'ai modifié pas mal de paramètres des plug-ins et de la barre mais comme j'ai une sauvegarde des pages de tout cela ça devrait permettre de reproduire les choses assez vite et donc de retrouver une pleine sereinité à ce propos dès ce soir !!

Merci beaucoup, je vous tiens au courant...

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 11 ans 7 mois #224 par sloane
Réponse de sloane sur le sujet Erreurs depuis la mise à jour 1.1.6
Salut,

eh bien voilà, la désinstallation complète, avec les vérifs recommandées ci-desssus dans la base de donnée, les dossiers, le dossier cache, puis la réinstallation de la version française, des plug-ins additionnels, donne un excellent résultat une fois tout reconfiguré ! Ouf, ça fait plaisir d'avoir ainsi une VF et plus les erreurs d'avant...

Seul persiste le conflit avec xajax sur certaines images si je les réédite, je creuserai cela à mon retour de vacances car pour le reste tout est remarquablement fonctionnel !

Merci de l'aide précieuse reçue sur ce forum, et sur ce site en général avec ses tutos et autres pages explicatives de qualité...

A bientôt !!<br /><br />Message édité par : mihaly, à : 09 08 2007 21:17:41

Connexion ou Créer un compte pour participer à la conversation.

Temps de génération de la page : 0.171 secondes
Propulsé par Kunena

Rechercher